#

API Docs for: 1.4.0
Show: Inherited Protected Private Deprecated

# Graphics Class

Extends DisplayObjectContainer
Defined in: `src/pixi/primitives/Graphics.js:6`
Module: PIXI

The Graphics class contains a set of methods that you can use to create primitive shapes and lines. It is important to know that with the webGL renderer only simple polys can be filled at this stage Complex polys will not be filled. Heres an example of a complex poly: http://www.goodboydigital.com/wp-content/uploads/2013/06/complexPolygon.png

## Constructor

### `Graphics`

()

Defined in `src/pixi/primitives/Graphics.js:6`

- Index
- Methods
- Properties

## Item Index

### Methods

- addChild
- addChildAt
- beginFill
- clear
- click
- drawCircle
- drawEllipse
- drawRect
- endFill
- getChildAt
- lineStyle
- lineTo
- mousedown
- mouseout
- mouseover
- mouseup
- mouseupoutside
- moveTo
- removeChild
- setInteractive deprecated
- swapChildren
- tap
- touchend
- touchendoutside
- touchstart

### Properties

- _interactive
- alpha
- buttonMode
- children
- color
- currentPath
- defaultCursor
- dynamic
- fillAlpha
- filters
- graphicsData
- height
- hitArea
- interactive
- lineColor
- lineWidth
- localTransform
- mask
- parent
- pivot
- position
- renderable
- rotation
- scale
- stage
- visible
- width
- worldAlpha
- worldTransform
- worldVisible

## Methods

### `addChild`

(

- `child`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:70`

Adds a child to the container.

#### Parameters:

- `child` DisplayObject

  The DisplayObject to add to the container

### `addChildAt`

(

- `child`
- `index`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:95`

Adds a child to the container at a specified index. If the index is out of bounds an error will be thrown

#### Parameters:

- `child` DisplayObject

  The child to add

- `index` Number

  The index to place the child in

### `beginFill`

(

- `color`
- `alpha`

)

Defined in `src/pixi/primitives/Graphics.js:144`

Specifies a simple one-color fill that subsequent calls to other Graphics methods (such as lineTo() or drawCircle()) use when drawing.

#### Parameters:

- `color` Uint

  the color of the fill

- `alpha` Number

  the alpha

### `clear`

()

Defined in `src/pixi/primitives/Graphics.js:235`

Clears the graphics that were drawn to this Graphics object, and resets fill and line style settings.

### `click`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:193`

A callback that is used when the users clicks on the displayObject with their mouse

#### Parameters:

- `interactionData` InteractionData

### `drawCircle`

(

- `x`
- `y`
- `radius`

)

Defined in `src/pixi/primitives/Graphics.js:192`

Draws a circle.

#### Parameters:

- `x` Number

  The X coord of the center of the circle

- `y` Number

  The Y coord of the center of the circle

- `radius` Number

  The radius of the circle

### `drawEllipse`

(

- `x`
- `y`
- `width`
- `height`

)

Defined in `src/pixi/primitives/Graphics.js:213`

Draws an ellipse.

#### Parameters:

- `x` Number
- `y` Number
- `width` Number
- `height` Number

### `drawRect`

(

- `x`
- `y`
- `width`
- `height`

)

Defined in `src/pixi/primitives/Graphics.js:172`

#### Parameters:

- `x` Number

  The X coord of the top-left of the rectangle

- `y` Number

  The Y coord of the top-left of the rectangle

- `width` Number

  The width of the rectangle

- `height` Number

  The height of the rectangle

### `endFill`

()

Defined in `src/pixi/primitives/Graphics.js:160`

Applies a fill to the lines and shapes that were added since the last call to the beginFill() method.

### `getChildAt`

(

- `index`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:149`

Returns the Child at the specified index

#### Parameters:

- `index` Number

  The index to get the child from

### `lineStyle`

(

- `lineWidth`
- `color`
- `alpha`

)

Defined in `src/pixi/primitives/Graphics.js:89`

Specifies a line style used for subsequent calls to Graphics methods such as the lineTo() method or the drawCircle() method.

#### Parameters:

- `lineWidth` Number

  width of the line to draw, will update the object's stored style

- `color` Number

  color of the line to draw, will update the object's stored style

- `alpha` Number

  alpha of the line to draw, will update the object's stored style

### `lineTo`

(

- `x`
- `y`

)

Defined in `src/pixi/primitives/Graphics.js:130`

Draws a line using the current line style from the current drawing position to (x, y); the current drawing position is then set to (x, y).

#### Parameters:

- `x` Number

  the X coord to draw to

- `y` Number

  the Y coord to draw to

### `mousedown`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:199`

A callback that is used when the user clicks the mouse down over the sprite

#### Parameters:

- `interactionData` InteractionData

### `mouseout`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:225`

A callback that is used when the users mouse leaves the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseover`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:219`

A callback that is used when the users mouse rolls over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseup`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:205`

A callback that is used when the user releases the mouse that was over the displayObject for this callback to be fired the mouse must have been pressed down over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseupoutside`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:212`

A callback that is used when the user releases the mouse that was over the displayObject but is no longer over the displayObject for this callback to be fired, The touch must have started over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `moveTo`

(

- `x`
- `y`

)

Defined in `src/pixi/primitives/Graphics.js:111`

Moves the current drawing position to (x, y).

#### Parameters:

- `x` Number

  the X coord to move to

- `y` Number

  the Y coord to move to

### `removeChild`

(

- `child`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:167`

Removes a child from the container.

#### Parameters:

- `child` DisplayObject

  The DisplayObject to remove

### `setInteractive`

(

- `interactive`

)
deprecated

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:266`

Deprecated: Simply set the `interactive` property directly

[Deprecated] Indicates if the sprite will have touch and mouse interactivity. It is false by default Instead of using this function you can now simply set the interactive property to true or false

#### Parameters:

- `interactive` Boolean

### `swapChildren`

(

- `child`
- `child2`

)
private

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:123`

[NYI] Swaps the depth of 2 displayObjects

#### Parameters:

- `child` DisplayObject
- `child2` DisplayObject

### `tap`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:236`

A callback that is used when the users taps on the sprite with their finger basically a touch version of click

#### Parameters:

- `interactionData` InteractionData

### `touchend`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:249`

A callback that is used when the user releases a touch over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `touchendoutside`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:255`

A callback that is used when the user releases the touch that was over the displayObject for this callback to be fired, The touch must have started over the sprite

#### Parameters:

- `interactionData` InteractionData

### `touchstart`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:243`

A callback that is used when the user touch's over the displayObject

#### Parameters:

- `interactionData` InteractionData

## Properties

### `_interactive`

Boolean private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:115`

[read-only] Whether or not the object is interactive, do not toggle directly! use the `interactive` property

### `alpha`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:47`

The opacity of the object.

### `buttonMode`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:72`

This is used to indicate if the displayObject should display a mouse hand cursor on rollover

### `children`

Array

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:18`

[read-only] The of children of this container.

### `color`

Array<> private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:154`

[NYI] Unkown

### `currentPath`

Object private

Defined in `src/pixi/primitives/Graphics.js:58`

Current path

### `defaultCursor`

String

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:125`

This is the curser that will be used when the mouse is over this object. To enable this the element must have interaction = true and buttonMode = true

### `dynamic`

Boolean private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:163`

[NYI] Holds whether or not this object is dynamic, for rendering optimization

### `fillAlpha`

Number

Defined in `src/pixi/primitives/Graphics.js:21`

The alpha of the fill of this graphics object

### `filters`

Array An array of filters

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:340`

Sets the filters for the displayObject.

- IMPORTANT: This is a webGL only feature and will be ignored by the canvas renderer. To remove filters simply set this property to 'null'

### `graphicsData`

Array private

Defined in `src/pixi/primitives/Graphics.js:45`

Graphics data

### `height`

Number

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:51`

The height of the displayObjectContainer, setting this will actually modify the scale to acheive the value set

### `hitArea`

Rectangle | Circle | Ellipse | Polygon

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:63`

This is the defined area that will pick up mouse / touch events. It is null by default. Setting it is a neat way of optimising the hitTest function that the interactionManager will use (as it will not need to hit test all the children)

### `interactive`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:279`

Indicates if the sprite will have touch and mouse interactivity. It is false by default

Default: false

### `lineColor`

String

Defined in `src/pixi/primitives/Graphics.js:37`

The color of any lines drawn

### `lineWidth`

Number

Defined in `src/pixi/primitives/Graphics.js:29`

The width of any lines drawn

### `localTransform`

Mat3 private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:144`

[read-only] Current transform of the object locally

### `mask`

Graphics

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:320`

Sets a mask for the displayObject. A mask is an object that limits the visibility of an object to the shape of the mask applied to it. In PIXI a regular mask must be a PIXI.Ggraphics object. This allows for much faster masking in canvas as it utilises shape clipping. To remove a mask, set this property to null.

### `parent`

DisplayObjectContainer

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:88`

[read-only] The display object container that contains this display object.

### `pivot`

Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:31`

The pivot point of the displayObject that it rotates around

### `position`

Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:15`

The coordinate of the object relative to the local coordinates of the parent.

### `renderable`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:80`

Can this object be rendered

### `rotation`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:39`

The rotation of the object in radians.

### `scale`

Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:23`

The scale factor of the object.

### `stage`

Stage

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:97`

[read-only] The stage the display object is connected to, or undefined if it is not connected to the stage.

### `visible`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:55`

The visibility of the object.

### `width`

Number

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:32`

The width of the displayObjectContainer, setting this will actually modify the scale to acheive the value set

### `worldAlpha`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:106`

[read-only] The multiplied alpha of the displayobject

### `worldTransform`

Mat3 private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:134`

[read-only] Current transform of the object based on world (parent) factors

### `worldVisible`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:299`

[read-only] Indicates if the sprite is globaly visible.